using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 酒店表
    /// </summary>
    [SugarTable("Grp_HotelReservations")]
    public class Grp_HotelReservations:EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DIId { get; set; }
        /// <summary>
        /// 客人类型 数据类型字表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int GTId { get; set; }
        /// <summary>
        /// 入住卷号码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string CheckNumber { get; set; }
        /// <summary>
        /// 预订网站数据类型字表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ReservationsWebsite { get; set; }
        /// <summary>
        /// 预订号码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ReservationsNo { get; set; }
        /// <summary>
        /// 酒店确定编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string DetermineNo { get; set; }
        /// <summary>
        /// 所在城市
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string City { get; set; }
        /// <summary>
        /// 酒店名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string HotelName { get; set; }
        /// <summary>
        /// 酒店地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string HotelAddress { get; set; }
        /// <summary>
        /// 酒店电话
        /// </summary>

        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string HotelTel { get; set; }
        /// <summary>
        /// 酒店传真
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string HotelFax { get; set; }
        /// <summary>
        /// 客人姓名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string GuestName { get; set; }
        /// <summary>
        /// 入住日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime CheckInDate { get; set; }
        /// <summary>
        /// 退房日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime CheckOutDate { get; set; }
        /// <summary>
        /// 实际金额
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal Budget { get; set; }
        /// <summary>
        /// 预算币种 数据类型字表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int BudgetCurrency { get; set; }
        /// <summary>
        /// 单间数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SingleRoomCount { get; set; }
        /// <summary>
        /// 单间单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal SingleRoomPrice { get; set; }
        /// <summary>
        /// 双间数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DoubleRoomCount { get; set; }
        /// <summary>
        /// 双间单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal DoubleRoomPrice { get; set; }
        /// <summary>
        /// 套房数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SuiteRoomCount { get; set; }
        /// <summary>
        /// 套房单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal SuiteRoomPrice { get; set; }
        /// <summary>
        /// 其他房型数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int OtherRoomCount { get; set; }
        /// <summary>
        /// 其他房型单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal OtherRoomPrice { get; set; }
        /// <summary>
        /// 佣金
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal Commission { get; set; }
        /// <summary>
        /// 佣金币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")] 
        public int CommissionCurrency { get; set; }
        /// <summary>
        /// 佣金标识0否 1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CommissionMark { get; set; }
        /// <summary>
        /// 房间说明
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string RoomExplanation { get; set; }
        /// <summary>
        /// 附件
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string Attachment { get; set; }
        /// <summary>
        /// 信用卡金额
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal CardPrice { get; set; }
        /// <summary>
        /// 确认标识信用卡金额 0：未刷(红色)  1:已刷(绿色)
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsCardPrice { get; set; }
        /// <summary>
        /// 早餐费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal breakfastPrice { get; set; }
        /// <summary>
        /// 是否由地接支付0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsOppay { get; set; }
        /// <summary>
        /// 是否住了单间0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsCboOne { get; set; }
        /// <summary>
        /// 是否住了双间0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsCboTwo { get; set; }
        /// <summary>
        /// 是否住了酒店套房0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsCboThree { get; set; }
        /// <summary>
        /// 是否住了其他房型0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsCboFour { get; set; }
    }
}
